Download it now!
Bug 93853 - Checkbox in PDF exported from writer has "x" instead of "✔"
Summary: Checkbox in PDF exported from writer has "x" instead of "✔"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2015-09-02 10:25 UTC by steve -_-
Modified: 2019-07-06 02:43 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
checkbox bug - odt test file (11.30 KB, application/vnd.oasis.opendocument.text)
2015-09-02 10:25 UTC, steve -_-
Details
checkbox bug - exported pdf (5.66 KB, application/save)
2015-09-02 10:25 UTC, steve -_-
Details
screenshot showing the problem (144.67 KB, image/jpeg)
2015-09-02 10:26 UTC, steve -_-
Details
clip of export result, 0x2713 not used as basis of check box (100.83 KB, image/jpeg)
2019-07-04 16:12 UTC, V Stuart Foote
Details
test doc from current 6.4.0alpah0+ master with patches (8.82 KB, application/vnd.oasis.opendocument.text)
2019-07-04 16:13 UTC, V Stuart Foote
Details
result of direct Export to PDF (PDF dialog cleared of checks except no compression) (13.63 KB, application/pdf)
2019-07-04 16:15 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description steve -_- 2015-09-02 10:25:08 UTC
Created attachment 118328 [details]
checkbox bug - odt test file

This bug has been nagging me for a long time, only now am I filing a bug. Thus I am not sure when this bug first appeared. It might well be that this never really worked.

Reproduce

1. open checkbox bug.odt file in LO writer
2. click "Export Directly as PDF" icon
3. compare odt file and exported PDF

Currently

odt: checkbox has "✔"
pdf: checkbox has "x"

Expected

Should be identical. What the user sees should not be altered on export to PDF.
Comment 1 steve -_- 2015-09-02 10:25:47 UTC
Created attachment 118329 [details]
checkbox bug - exported pdf
Comment 2 steve -_- 2015-09-02 10:26:13 UTC
Created attachment 118330 [details]
screenshot showing the problem
Comment 3 Robinson Tryon (qubit) 2015-09-02 21:38:19 UTC
TESTING with Ubuntu 14.04 + LO Version: 5.1.0.0.alpha1+
Build ID: 452b1872af72d7fb31101aa2fa35aeaf18e41a10
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-02_08:11:07

+ Evince (PDF Viewer)

(In reply to steve -_- from comment #0)
> Reproduce

[following given steps]

> Currently
> 
> odt: checkbox has "✔"
> pdf: checkbox has "x"

Yes, behavior confirmed.
OS -> All

Might be different glyphs, or?

We're not talking about just an exported chunk of text here; we're talking about an *actual* checkbox widget that can be toggled-on and toggled-off inside both LibreOffice and the PDF viewer. Maybe this is just an implementation detail?

> Expected
> 
> Should be identical. What the user sees should not be altered on export to
> PDF.

Let's see what Jay thinks about the situation from a UX perspective -- I'll cc him.
Comment 4 Yousuf Philips (jay) (retired) 2015-09-03 00:35:19 UTC
I checked the pdf at < http://www.pdfill.com/example/pdf_filler_new.pdf > and it has three types of checkboxes - 1 with X, 1 with check and 1 with dot. So i guess it is possible for us to export it as a checkbox with a check.
Comment 5 Robinson Tryon (qubit) 2015-09-03 10:47:10 UTC
(In reply to Yousuf (Jay) Philips from comment #4)
> ...So i guess it is possible for us to export it as a checkbox with a
> check.

If it's actually something we can change to have higher fidelity with the behavior in LO, then let's make it
Status -> NEW
Severity -> enhancement
Comment 6 tommy27 2016-10-11 20:23:47 UTC
bug still present in LibO 5.3.0.0.alpha0+
Build ID: e2f6c7f0d0cc14f851d7028ff846c5dc658a81c6
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-10_23:08:02
Locale: it-IT (it_IT); Calc: group

bug was already present in OOo 3.3.0 and LibO 3.3.3 as well so it's inherited from OOo
Comment 7 Johnny_M 2019-07-02 21:13:13 UTC
Possibly solved - see https://gerrit.libreoffice.org/74995
Comment 8 Thorsten Behrens (CIB) 2019-07-04 11:53:05 UTC
Yep, fixed for me - please check & verify if possible!
Comment 9 Timur 2019-07-04 13:40:45 UTC
Not fixed for me: libo-master64~2019-07-03_06.33.11_LibreOfficeDev_6.4.0.0.alpha0_Win_x64.msi
I set to New. Please test.
Comment 10 V Stuart Foote 2019-07-04 16:12:42 UTC
Created attachment 152565 [details]
clip of export result, 0x2713 not used as basis of check box

Not yet correct (at least on Winodws builds).

Attachment 118328 [details] should not be used to test with of course.

Attaching a new document after changes, with a set of Form Designed checkboxes (default Liberation Serif fonts). 

Also, resulting PDF export, and a screen clip of the PDF open in Adobe Reader. 

Should note (that on Windows at least) the print preview also does not use the 0x2713, and like PDF export also gets a graphic object with a drawn "X" not a font glyph.

=-testing-=
Windows 10 Home 64-bit en-US (1809)
Version: 6.4.0.0.alpha0+ (x64)
Build ID: a9885aed4ee65067613e5506771b6ae6b5e0bae0
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-04_01:38:09
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 11 V Stuart Foote 2019-07-04 16:13:55 UTC
Created attachment 152566 [details]
test doc from current 6.4.0alpah0+ master with patches
Comment 12 V Stuart Foote 2019-07-04 16:15:01 UTC
Created attachment 152567 [details]
result of direct Export to PDF (PDF dialog cleared of checks except no compression)
Comment 13 Thorsten Behrens (CIB) 2019-07-04 19:58:05 UTC
Ah! So this report is about the export with _disabled_ 'Create Form' support?

Then yes, this is not fixed. Didn't touch that code at all. ;)

(if that's indeed what's meant here, perhaps worth re-phrasing even the title - totally missed that from the description)